Bug 1233988 - Review Request: gap-pkg-crystcat - Crystallographic groups catalog
Summary: Review Request: gap-pkg-crystcat - Crystallographic groups catalog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1233987
Blocks: 1233989
TreeView+ depends on / blocked
 
Reported: 2015-06-19 23:33 UTC by Jerry James
Modified: 2015-07-30 00:47 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-crystcat-1.1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 00:47:48 UTC
gbcox: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-06-19 23:33:42 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-crystcat/gap-pkg-crystcat.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-crystcat/gap-pkg-crystcat-1.1.6-1.fc23.src.rpm
Fedora Account System Username: jjames
Description: The CrystCat package provides a catalog of crystallographic groups of dimensions 2, 3, and 4 which covers most of the data contained in the book "Crystallographic groups of four-dimensional space" by H. Brown, R. Bülow, J. Neubüser, H. Wondratschek, and H. Zassenhaus (John Wiley, New York, 1978). This catalog was previously available in the library of GAP 3. The present version for GAP 4 has been moved into a separate package, because it requires the package Cryst, which is loaded automatically by CrystCat. The benefit of this is that space groups extracted from the catalog now have the rich set of methods provided by Cryst at their disposal, and are no longer dumb lists of generators.  Moreover, space groups are now fully supported in both the representation acting  from the left and the representation acting from the right.

Comment 1 Gerald Cox 2015-07-11 17:39:21 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

FALSE POSITIVES:

- W: spelling-error Summary(en_US) [...listed below...]

SHOULD:

- E: incorrect-fsf-address /usr/share/licenses/gap-pkg-crystcat/GPL
  It is recommended you advise upstream.

- %check is present and all tests pass.

- Note: Checking patched sources after %prep for licenses. Licenses
  found: "Unknown or generated". 2 files have unknown license.
  It is suggested you advise upstream.

- W: only-non-binary-in-usr-lib
  Looks like the same situation that occurred in rhbz#1233984

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/gbcox/bugzilla_fedora_review/1233987
     -gap-pkg-cryst/1233988-gap-pkg-crystcat/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-crystcat-1.1.6-1.fc23.noarch.rpm
          gap-pkg-crystcat-1.1.6-1.fc23.src.rpm
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Bülow -> Blow, Below
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Neubüser -> Neuroses
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Wondratschek -> Chandrasekhar
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Zassenhaus -> Tannhauser
gap-pkg-crystcat.noarch: W: only-non-binary-in-usr-lib
gap-pkg-crystcat.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-crystcat/GPL
gap-pkg-crystcat.src: W: spelling-error %description -l en_US Bülow -> Blow, Below
gap-pkg-crystcat.src: W: spelling-error %description -l en_US Neubüser -> Neuroses
gap-pkg-crystcat.src: W: spelling-error %description -l en_US Wondratschek -> Chandrasekhar
gap-pkg-crystcat.src: W: spelling-error %description -l en_US Zassenhaus -> Tannhauser
2 packages and 0 specfiles checked; 1 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Bülow -> Blow, Below
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Neubüser -> Neuroses
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Wondratschek -> Chandrasekhar
gap-pkg-crystcat.noarch: W: spelling-error %description -l en_US Zassenhaus -> Tannhauser
gap-pkg-crystcat.noarch: W: only-non-binary-in-usr-lib
gap-pkg-crystcat.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-crystcat/GPL
1 packages and 0 specfiles checked; 1 errors, 5 warnings.



Requires
--------
gap-pkg-crystcat (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core
    gap-pkg-cryst



Provides
--------
gap-pkg-crystcat:
    gap-pkg-crystcat



Source checksums
----------------
https://www.math.uni-bielefeld.de/~gaehler/gap45/CrystCat/crystcat-1.1.6.tar.gz :
  CHECKSUM(SHA256) this package     : 660101ee384bafcf7a01db26cd711b7346dfecc412530e4aebd70cfac964d158
  CHECKSUM(SHA256) upstream package : 660101ee384bafcf7a01db26cd711b7346dfecc412530e4aebd70cfac964d158


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1233988 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jerry James 2015-07-11 21:39:56 UTC
(In reply to Gerald Cox from comment #1)
> Approved.

Thank you once again for the review.

> - E: incorrect-fsf-address /usr/share/licenses/gap-pkg-crystcat/GPL
>   It is recommended you advise upstream.

Will do.

> - %check is present and all tests pass.

Most GAP packages ship with test code, but this one does not.  I'll see if I can cook up something on my own.

> - Note: Checking patched sources after %prep for licenses. Licenses
>   found: "Unknown or generated". 2 files have unknown license.
>   It is suggested you advise upstream.

The two files with unknown license are both parts of the manual sources.  One of them, doc/manual.tex, actually does say that the entire package is distributed under the GPLv2+, so I don't think there is anything to do here.

> - W: only-non-binary-in-usr-lib
>   Looks like the same situation that occurred in rhbz#1233984

Right.

Comment 3 Jerry James 2015-07-11 21:41:29 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-crystcat
Short Description: Crystallographic groups catalog
Upstream URL: https://www.math.uni-bielefeld.de/~gaehler/gap45/packages.php
Owners: jjames
Branches: f22
InitialCC:

Comment 4 Gwyn Ciesla 2015-07-15 17:34:47 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-07-20 03:42:02 UTC
gap-pkg-crystcat-1.1.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gap-pkg-crystcat-1.1.6-1.fc22

Comment 6 Fedora Update System 2015-07-21 08:19:47 UTC
gap-pkg-crystcat-1.1.6-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 7 Fedora Update System 2015-07-30 00:47:48 UTC
gap-pkg-crystcat-1.1.6-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.